Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456192 - [RFE]Customer need kdump to dump kernel pages only.
Summary: [RFE]Customer need kdump to dump kernel pages only.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Neil Horman
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-22 03:09 UTC by Zhenyong(Jerry) Jiang
Modified: 2013-07-29 00:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 11:18:14 UTC


Attachments (Terms of Use)

Description Zhenyong(Jerry) Jiang 2008-07-22 03:09:21 UTC
Description of problem:

Anderson wrote kdump can support full dump or kernelpages only dump in
http://www.linuxsymposium.org/2006/kdump_slides.pdf

But in RHEL5.2 kernel-doc, kdump.txt says this function is in "TO DO" list. will
we bring this function into RHEL5.3?

in some of my cases, some servers has 16GB or more memory, a full dump will
create a huge file. It will cost 1-2 days to transfer it to redhat.

Some other customers want to protect their data, they wishes kdump not collect
the user-space pages. They know disk-dump can support it in RHEL4.

Could we implement it in RHEL5.3.

Comment 1 Neil Horman 2008-07-23 11:18:14 UTC
This has been implemented since GA iirc, using the makedumpfile utility, which
is configurable automatically through kdump using the core_collector option in
/etc/kdump.conf.  See man makedumpfile (specifically the -d option) for details
of usage


Note You need to log in before you can comment on or make changes to this bug.